---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: export-project
  namespace: django
  labels:
    app: export-project
    k8slens-edit-resource-version: v1
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: export-project
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: export-project
    spec:
      containers:
      - env:
        - name: TIMEOUT
          value: '180'
        image: cr.yandex/crp3ccidau046kdj8g9q/export-project:prod_37a48176
        imagePullPolicy: IfNotPresent
        name: export-project
        ports:
        - containerPort: 8000
          name: http
          protocol: TCP
        resources:
          limits:
            cpu: '2'
            memory: 8Gi
          requests:
            cpu: '1'
            memory: 512Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: dockerhub
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
---
apiVersion: v1
kind: Service
metadata:
  name: export-project-service
  namespace: django
  labels: {}
spec:
  ports:
  - port: 8000
    protocol: TCP
    targetPort: 8000
  selector:
    app: export-project
  sessionAffinity: None
  type: ClusterIP
